Subject: Re: bug#37164: Generated installation image does not include grub.

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 29 Aug 2019 00:17:44 +0200

Hi Jesse,

On Wed, 28 Aug 2019 11:11:45 -0600
Jesse Gibbons <[email-masked]> wrote:

> Did you follow the instructions in the manual calling the file to
> generate that (as the manual specifies) or did you include the option:
> 
> -e '(@ (gnu system install) installation-os)'
> 
> to specify the os configuration?

The former.  I've now tried the invocation you used and I get both the funny
characters and the image without grub in it.

Then I tried the invocation I usually use and it's the same, funny characters
and the image is without grub.

Something is definitely up O_o

$ guix describe
Generation 11   27. August 2019 01:23:33        (aktuell)
  guix d8f0834
    Repository-URL: https://git.savannah.gnu.org/git/guix.git
    Branch: master
    Commit: d8f08344a7d6060fca73c12fe27a0d1a3528acda

GUIX_PACKAGE_PATH="/home/dannym/.local/guix"